#
# spec file for package ghc-polyparse
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name polyparse
Name:           ghc-%{pkg_name}
Version:        1.12
Release:        8.1
Summary:        A variety of alternative parser combinator libraries
License:        LGPL-2.1
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel

%description
A variety of alternative parser combinator libraries, including the original
HuttonMeijer set. The Poly sets have features like good error reporting,
arbitrary token type, running state, lazy parsing, and so on. Finally,
Text.Parse is a proposed replacement for the standard Read class, for better
deserialisation of Haskell values from Strings.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc COPYRIGHT

%files devel -f %{name}-devel.files
%doc LICENCE-LGPL LICENCE-commercial

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Sat Jul 23 2016 jengelh@inai.de
- Update License field
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.12 revision 0 with cabal2obs.
* Tue May 17 2016 mimi.vx@gmail.com
- update to 1.12
* Sun Feb  1 2015 mimi.vx@gmail.com
- version bump to 1.11
  + A fix for the Applicative/Monad/Functor classes rearrangement in ghc-7.10.*.
* Sat Nov 22 2014 mimi.vx@gmail.com
- add Group to devel section
* Thu Nov 20 2014 mimi.vx@gmail.com
- initial commit
